Page MenuHomePhabricator

Lua: Create a mw.wikibase.renderSnak method for rendering arbitrary Snaks
Closed, ResolvedPublic

Description

Should be called with a Lua table containing a Snak, as obtained from a mw.wikibase.entity (which comes from mw.wikibase.getEntityObject).

Useful for eg. rendering references or qualifiers.

Event Timeline

hoo created this task.Nov 28 2014, 11:44 AM
hoo raised the priority of this task from to Needs Triage.
hoo updated the task description. (Show Details)
hoo changed Security from none to None.
hoo added subscribers: hoo, Lydia_Pintscher, aude, daniel.
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher triaged this task as High priority.Dec 3 2014, 12:26 PM
gerritbot added a subscriber: gerritbot.

Change 189027 had a related patch set uploaded (by Hoo man):
Add mw.wikibase.renderSnak(s) for rendering arbitrary Snaks

https://gerrit.wikimedia.org/r/189027

Patch-For-Review

JanZerebecki assigned this task to hoo.Feb 6 2015, 8:04 PM

Change 189027 merged by jenkins-bot:
Add mw.wikibase.renderSnak(s) for rendering arbitrary Snaks

https://gerrit.wikimedia.org/r/189027

daniel closed this task as Resolved.Feb 20 2015, 3:03 PM
daniel moved this task from Review to Done on the § Wikidata-Sprint-2015-02-03 board.

Change 192594 had a related patch set uploaded (by Hoo man):
Add mw.wikibase.renderSnak(s) for rendering arbitrary Snaks

https://gerrit.wikimedia.org/r/192594

Patch-For-Review

Change 192594 merged by Hoo man:
Add mw.wikibase.renderSnak(s) for rendering arbitrary Snaks

https://gerrit.wikimedia.org/r/192594